Skip to main content

Class SolveGraphRequest.SolverType

java.lang.Object
com.gpudb.protocol.SolveGraphRequest.SolverType
Enclosing class:

public static final class SolveGraphRequest.SolverType extends Object
A set of string constants for the SolveGraphRequest parameter solverType.

The type of solver to use for the graph.

  • Field Summary

    Fields
    Modifier and Type
    Field
    Description
    static final String
    Solves for paths that would give costs between max and min solution radia - Make sure to limit by the ‘max_solution_targets’ option.
    static final String
    Solves for optimal routes that connect remote asset nodes to the fixed (backbone) asset nodes.
    static final String
    Solves for the degree of a node to depict how many pairs of individuals that would have to go through the node to reach one another in the minimum number of hops.
    static final String
    Solves for the centrality closeness score per node as the sum of the inverse shortest path costs to all nodes in the graph.
    static final String
    Solves for finding the optimal path cost for each destination node to route to the source node.
    static final String
    Solves for finding the minimum cost cumulative path for a round-trip starting from the given source and visiting each given destination node once then returning to the source.
    static final String
    Solves for the probability of each destination node being visited based on the links of the graph topology.
    static final String
    Solves for the transitional probability (Hidden Markov) for each node based on the weights (probability assigned over given edges).
    static final String
    Solves for the optimal (shortest) path based on weights and restrictions from one source to destinations nodes.
    static final String
    Solves for graph statistics such as graph diameter, longest pairs, vertex valences, topology numbers, average and max cluster sizes, etc.
  • Method Summary

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • Field Details

    • SHORTEST_PATH

      public static final String SHORTEST_PATH
      Solves for the optimal (shortest) path based on weights and restrictions from one source to destinations nodes. Also known as the Dijkstra solver.
    • PAGE_RANK

      public static final String PAGE_RANK
      Solves for the probability of each destination node being visited based on the links of the graph topology. Weights are not required to use this solver.
    • PROBABILITY_RANK

      public static final String PROBABILITY_RANK
      Solves for the transitional probability (Hidden Markov) for each node based on the weights (probability assigned over given edges).
    • CENTRALITY

      public static final String CENTRALITY
      Solves for the degree of a node to depict how many pairs of individuals that would have to go through the node to reach one another in the minimum number of hops. Also known as betweenness.
    • MULTIPLE_ROUTING

      public static final String MULTIPLE_ROUTING
      Solves for finding the minimum cost cumulative path for a round-trip starting from the given source and visiting each given destination node once then returning to the source. Also known as the traveling salesman problem.
    • INVERSE_SHORTEST_PATH

      public static final String INVERSE_SHORTEST_PATH
      Solves for finding the optimal path cost for each destination node to route to the source node. Also known as inverse Dijkstra or the service man routing problem.
    • BACKHAUL_ROUTING

      public static final String BACKHAUL_ROUTING
      Solves for optimal routes that connect remote asset nodes to the fixed (backbone) asset nodes.
    • ALLPATHS

      public static final String ALLPATHS
      Solves for paths that would give costs between max and min solution radia - Make sure to limit by the ‘max_solution_targets’ option. Min cost should be >= shortest_path cost.
    • STATS_ALL

      public static final String STATS_ALL
      Solves for graph statistics such as graph diameter, longest pairs, vertex valences, topology numbers, average and max cluster sizes, etc.
    • CLOSENESS

      public static final String CLOSENESS
      Solves for the centrality closeness score per node as the sum of the inverse shortest path costs to all nodes in the graph.